package exception

import (
	"fmt"
	"os"
	"testing"
	"time"

	"github.com/spf13/viper"
)

func TestSendContent(t *testing.T) {
	viper.SetConfigFile("../sdktool/config.yaml")

	// If a config file is found, read it in.
	if err := viper.ReadInConfig(); err == nil {
		fmt.Println("Using config file:", viper.ConfigFileUsed())
	}
	SetAlertViper()
	SendContent("test", "测试一下报警邮件", "111", "222", 3333)
	SendContent("test", "测试一下报警邮件", "111", "333", 3333)
	time.Sleep(time.Minute)
}

func TestDefault(t *testing.T) {
	data := struct {
		Topic    string
		Contents []*AlertContent
	}{"ttt", []*AlertContent{
		{
			Content: "你好",
			Args:    []interface{}{"fjaljf", "fjlf"},
		},
	}}
	defaultTemplate.Execute(os.Stdout, data)
}
