package exception

import (
	"os"

	"github.com/getsentry/sentry-go"
	"github.com/spf13/viper"
	"gitlab-ce.k8s.tools.vchangyi.com/cdp/cy-sdk-go/version"
)

var host, _ = os.Hostname()
var pid = os.Getpid()

// SentryInit 初始化sentry
func SentryInit(dsn string) error {
	return sentry.Init(sentry.ClientOptions{
		Dsn:        dsn,
		ServerName: host,
	})
}

// SentryInitWithViper 通过viper获取配置
func SentryInitWithViper() error {
	return sentry.Init(sentry.ClientOptions{
		Dsn:         viper.GetString("sentry_dsn"),
		Release:     version.Version + "-" + version.GitHash,
		Environment: viper.GetString("sentry_env"),
		ServerName:  host,
		Debug:       viper.GetBool("sentry_debug"),
	})
}
