package schedule

import (
	"fmt"
	"testing"
	"time"
)

func TestTimeTask(t *testing.T) {
	tt := NewTimerTask(WithErrHandler(func(name string, err error) {
		fmt.Sprintln("task ", name, err.Error())
	}), WithRunHandler(func(name string, nextAt time.Time) {
		fmt.Sprintln("task ", name, " nexttime run at ", nextAt)
	}))
	tt.Do(time.Now().Add(time.Second*5), time.Second*5, func(arg ...interface{}) error {
		println("task run")
		println(time.Now().Unix())
		return nil
	}, "test task 1")
	tt.Do(time.Now().Add(-time.Second*50), time.Second*5, func(arg ...interface{}) error {
		println("task run")
		println(time.Now().Unix())
		return nil
	}, "test task 2")
	tt.Cron("*/5 * * * * ?", func(arg ...interface{}) error {
		println("cron task run")
		println(time.Now().Unix())
		return nil
	}, "cron test task 1")
	tt.Run()
	time.Sleep(time.Second * 30)
}
