/*
Copyright © 2020 NAME HERE <EMAIL ADDRESS>

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/
package cmd

import (
	"github.com/spf13/cobra"
	"gitlab-ce.k8s.tools.vchangyi.com/cdp/cy-sdk-go/exception"
	"gitlab-ce.k8s.tools.vchangyi.com/cdp/cy-sdk-go/sdktool/tkserver"
)

// tkserverCmd represents the tkserver command
var tkserverCmd = &cobra.Command{
	Use:   "tkserver",
	Short: "微信access_token获取服务",
	Long:  `微信access_token获取服务`,
	Run: func(cmd *cobra.Command, args []string) {
		exception.Assert(exception.SentryInitWithViper())
		engine := tkserver.NewEngine()
		exception.Assert(engine.Run())
	},
}

func init() {
	rootCmd.AddCommand(tkserverCmd)

	// Here you will define your flags and configuration settings.

	// Cobra supports Persistent Flags which will work for this command
	// and all subcommands, e.g.:
	// tkserverCmd.PersistentFlags().String("foo", "", "A help for foo")

	// Cobra supports local flags which will only run when this command
	// is called directly, e.g.:
	// tkserverCmd.Flags().BoolP("toggle", "t", false, "Help message for toggle")
}
